Solid Edge Assembly Type Library
HalfSpacePositive Property
Description
Indicates whether the referenced TangentRelation3d is placed on the positive normal side of a plane (True) or the reverse normal side of a plane (False).
Property type
Read-only property
Syntax
Visual Basic
Public Property HalfSpacePositive As Boolean
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objTangntRelation As SolidEdgeAssembly.TangentRelation3d
    ' Local variables to be declared here
    Const TESTFILE = "T:\vbtests\testcases\TangntRel3d.asm"
    Dim bHalfSpacePositive As Boolean
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    objDoc.Close False
    'Open an existing Assembly containing TangentRelation
    Set objDoc = objApp.Documents.Open(Filename:=TESTFILE)
    'Get hold of the TangentRelation from the Relations3d collection
    Set objTangntRelation = objDoc.Relations3d(2)
    'Get the HalfSpacePositive state of the TangentRelation
    bHalfSpacePositive = objTangntRelation.HalfSpacePositive
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objTangntRelation = Nothing
End Sub
See Also

TangentRelation3d Object  | TangentRelation3d Members